Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024663
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2013-09-02 16:192013-09-17 19:01
ReporterngarciaView Statuspublic 
Assigned Tojonalegriaesarte 
PriorityhighResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revision687b9f2e1716
ProjectionnoneETAnoneTarget Version3.0MP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024663: Wrong options shown when trying to reactivate a doubtful debt

DescriptionWrong options shown when trying to reactivate a doubtful debt
Steps To ReproduceAs group admin role:
   Create a record in the Doubtful Debt Run window
   Select a Doubtful Debt and Process it
   Click on the Reactivate button and open the combo displayed
   Notice that it shows some options different from Reactivate (all the the records in the 'Reference - List Reference' tab with 'R' value)
Proposed SolutionChange the 'Doubtfull Debt valid actions' validation with

(((@EM_APRM_Process@ = 'P' AND AD_Ref_List.value='P') OR (@EM_APRM_Process@ = 'R' AND AD_Ref_List.value = 'R')) AND AD_Ref_List.IsActive = 'Y')
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060884)
hgbot (developer)
2013-09-03 10:21

Repository: erp/devel/pi
Changeset: 687b9f2e1716c312f48ea54677deedeaa5eba499
Author: Jon Alegría <jon.alegria <at> openbravo.com>
Date: Tue Sep 03 10:21:21 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/687b9f2e1716c312f48ea54677deedeaa5eba499 [^]

Fixes issue 0024663: Wrong options shown when trying to reactivate a doubtful debt

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_VAL_RULE.xml
---
(0061204)
hudsonbot (developer)
2013-09-17 19:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-02 16:19 ngarcia New Issue
2013-09-02 16:19 ngarcia Assigned To => jonalegriaesarte
2013-09-02 16:19 ngarcia Modules => Core
2013-09-02 16:19 ngarcia Triggers an Emergency Pack => No
2013-09-02 16:23 ngarcia Target Version => 3.0MP29
2013-09-03 10:21 hgbot Checkin
2013-09-03 10:21 hgbot Note Added: 0060884
2013-09-03 10:21 hgbot Status new => resolved
2013-09-03 10:21 hgbot Resolution open => fixed
2013-09-03 10:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/687b9f2e1716c312f48ea54677deedeaa5eba499 [^]
2013-09-06 08:29 ngarcia Review Assigned To => ngarcia
2013-09-06 08:29 ngarcia Status resolved => closed
2013-09-06 08:29 ngarcia Fixed in Version => 3.0MP28
2013-09-17 19:01 hudsonbot Checkin
2013-09-17 19:01 hudsonbot Note Added: 0061204


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker